* {
  max-width: 100% !important;
}

.modal {
  width: 450px !important;
}

.modal .grid {
  height: 100%;
}

.modal .column {
  max-width: 450px;
}

.modal .action {
  text-align: center;
}

.modal .actions {
  margin-top: 30px;
}

.alertmessage {
  pointer-events: none;
  position: absolute;
  top: 10px;
  left: 50%;
  width: 80vw;
  transform: translateX(-50%);
}

.btn-refresh {
  position: absolute;
  top: 25px;
  right: 25px;
  background: none;
  border: none;
  cursor: pointer;
}

.loader-cont {
  position: relative;
  width: 32px;
  margin: 0 auto;
}

#modal-transaction .actions, #modal-notification .actions {
  margin-top: 0;
}

#modal-transaction .input-fields, #modal-notification .input-fields {
  display: flex;
  flex-direction: column;
}

#modal-transaction .input-fields > div, #modal-notification .input-fields > div {
  margin-bottom: 20px;
}

#modal-transaction .transaction-side, #modal-notification .transaction-side {
  display: flex;
  justify-content: center;
}

.chart {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 80vw;
  max-width: 850px !important;
}

.chart .chart-container {
  height: 450px;
  width: 100%;
}

.chart ul {
  list-style: none;
  width: 100%;
  margin: 0 0 50px 0;
  padding: 0;
  display: flex;
  justify-content: space-around;
}

.chart li:hover {
  cursor: pointer;
}

.chart .ui.buttons:after {
  content: "" !important;
  display: none !important;
}

.holdings h3 {
  color: #515251;
}

.wrapper {
  height: 100%;
  max-width: 2500px !important;
  margin: auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 50px 1fr auto;
}

.wrapper > header {
  height: 125px;
  padding: 10px;
  display: flex;
  justify-content: space-between;
}

.wrapper > header .account-icons {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.wrapper > header .account-icons > * {
  box-sizing: border-box;
  height: 35px;
}

.wrapper > header .account-icons .account-label {
  display: flex;
  align-items: center;
  margin-right: 10px;
}

.wrapper > header h1 {
  color: #40403f;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.wrapper > header .logocontainer {
  display: flex;
  align-items: center;
}

.wrapper > header .logocontainer img {
  height: 100%;
  margin-right: 20px;
}

.wrapper > header .logocontainer:hover {
  cursor: pointer;
}

.wrapper .pagewrapper .page {
  position: relative;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.wrapper .pagewrapper .page .market-info-row:hover {
  cursor: pointer;
}

.wrapper .pagewrapper .page .market-info-img {
  width: 32px;
  margin-right: 25px;
}

.wrapper .pagewrapper .page .coinname {
  display: flex;
  align-items: center;
}

.wrapper .pagewrapper #page-home .bottom-element {
  height: 200px;
}

.wrapper .pagewrapper #page-home #market-coins tr {
  min-height: 60px;
}

.wrapper .pagewrapper #page-home #market-coins tr .price, .wrapper .pagewrapper #page-home #market-coins tr .change, .wrapper .pagewrapper #page-home #market-coins tr .changepercent, .wrapper .pagewrapper #page-home #market-coins tr .mcap, .wrapper .pagewrapper #page-home #market-coins tr .vol {
  text-align: right;
}

.wrapper .pagewrapper #page-home #market-coins .coinname {
  min-height: 60px;
}

.wrapper .pagewrapper #page-singleasset {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 25px;
}

.wrapper .pagewrapper #page-singleasset header {
  height: 90px;
  width: 250px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.wrapper .pagewrapper #page-singleasset header img {
  height: 75%;
}

.wrapper .pagewrapper #page-singleasset header div {
  color: #000000;
}

.wrapper .pagewrapper #page-singleasset header div:hover {
  cursor: pointer;
}

.wrapper .pagewrapper #page-singleasset .tableWrapper {
  width: 80vw;
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  gap: 50px;
}

.wrapper .pagewrapper #page-singleasset .tableWrapper .trxTable {
  min-width: 320px;
}

.wrapper .pagewrapper #page-singleasset .tableWrapper .trxTable table {
  width: 100%;
}

.wrapper .pagewrapper #page-singleasset .tableWrapper .notifyTable {
  min-width: 320px;
}

.wrapper .pagewrapper #page-singleasset .tableWrapper .notifyTable table {
  width: 100%;
}

.wrapper .pagewrapper #page-singleasset .historytableheader {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.wrapper .pagewrapper #page-singleasset .historytableheader p {
  font-size: medium;
  margin: 0px;
  margin-right: 5vw;
}

.wrapper .pagewrapper #page-singleasset .sa-informations {
  padding: 10px;
  width: 250px;
  display: flex;
  justify-content: space-between;
}

.wrapper .pagewrapper #page-singleasset .sa-informations .cont-pricemarket {
  display: flex;
  flex-direction: column;
}

.wrapper .pagewrapper #page-singleasset .sa-informations .cont-pricemarket h3 {
  font-size: 1rem;
  text-align: right;
}

.wrapper .pagewrapper #page-singleasset .sa-informations h2, .wrapper .pagewrapper #page-singleasset .sa-informations h3 {
  display: flex;
}

.wrapper .pagewrapper #page-singleasset .sa-informations h1, .wrapper .pagewrapper #page-singleasset .sa-informations h2, .wrapper .pagewrapper #page-singleasset .sa-informations h3 {
  padding: 0;
  margin: 0;
}

.wrapper .pagewrapper #page-singleasset .chart {
  width: 80%;
}

.wrapper .pagewrapper #page-portfolio {
  padding: 25px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.wrapper .pagewrapper #page-portfolio .notloggedin {
  display: none;
}

.wrapper .pagewrapper #page-portfolio .loggedin {
  width: 100%;
}

.wrapper .pagewrapper #page-portfolio h1 {
  font-size: 1.75em;
  margin-bottom: 0;
}

.wrapper .pagewrapper #page-portfolio h2 {
  font-size: 1.5em;
  margin-top: 0;
}

.wrapper .pagewrapper #page-portfolio h3 {
  font-size: 1.25em;
}

.wrapper .pagewrapper #page-portfolio .pie-chart {
  margin: 50px 0;
  height: 400px;
  width: 600px;
}

.wrapper .pagewrapper #page-portfolio .pie-chart canvas {
  width: 100%;
}

.wrapper .pagewrapper #page-portfolio .chart-container {
  max-width: 900px;
}

.wrapper .pagewrapper #page-portfolio .po-informations {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.wrapper .pagewrapper #page-portfolio .po-informations .portfolio-value {
  color: #515251;
}

.wrapper .pagewrapper #page-portfolio .po-informations .po-changeperc {
  font-size: 1em;
}

.wrapper .pagewrapper #page-portfolio .po-informations h2 {
  display: flex;
}

.wrapper .pagewrapper #page-portfolio .chart .toggle {
  margin: auto;
}

.wrapper .pagewrapper #page-portfolio .consider-tx-container {
  padding: 10px 0;
  display: flex;
  justify-content: center;
}

.wrapper .pagewrapper #page-portfolio .consider-tx-container .active {
  background-color: #40403f !important;
}

.wrapper .pagewrapper #page-portfolio .consider-tx-container .active:hover {
  background-color: #515251 !important;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table {
  width: 80%;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins td {
  height: 75px;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .portfolio-coin-row:hover {
  cursor: pointer;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .coinname {
  display: flex;
  align-items: center;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .coinname h1 {
  margin: 0;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .price, .wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .holdings {
  width: 60%;
  margin: auto;
  display: flex;
  flex-direction: column;
  text-align: right;
}

.wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .price h3, .wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .price h2, .wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .holdings h3, .wrapper .pagewrapper #page-portfolio .portfolio-table #portfolio-coins .holdings h2 {
  display: inline-block;
  margin: 0;
}

.wrapper .pagewrapper #page-account {
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  padding: 50px 100px 0 100px;
  max-width: 1250px !important;
  margin: 0 auto;
}

.wrapper .pagewrapper #page-account header {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 0;
}

.wrapper .pagewrapper #page-account header .currencydropdown {
  height: 40px;
}

.wrapper .pagewrapper #page-account .login {
  width: 100%;
  margin: 50px 0 100px 0;
}

.wrapper .pagewrapper #page-account .login .segment {
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.wrapper .pagewrapper #page-account .login .segment div p:first-child {
  margin-right: 10px;
}

.wrapper .pagewrapper #page-account .login .segment div:first-child {
  padding-right: 10px;
}

.wrapper .pagewrapper #page-account .login .segment div {
  display: flex;
}

.wrapper .pagewrapper #page-account .login .segment div p {
  font-size: 1.25em;
  margin: 0;
}

.wrapper .pagewrapper #page-account .login .segment button i {
  margin: 0;
}

.wrapper .pagewrapper #page-account .functionbuttons {
  display: flex;
  flex-direction: column;
}

.wrapper .pagewrapper #page-account .functionbuttons button {
  margin-bottom: 15px;
}

.wrapper footer {
  padding: 25px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.wrapper footer p {
  margin: 0;
}

@media screen and (max-width: 767px) {
  body {
    font-size: 12px;
  }
  .wrapper .chart {
    width: 90% !important;
  }
  .wrapper .chart .chart-container {
    margin-top: 10px;
    height: 380px;
    width: 100%;
  }
  .wrapper .pie-chart {
    height: 400px;
    width: 100% !important;
  }
  .wrapper header {
    height: 75px;
  }
  .wrapper header img {
    margin-right: 10px;
  }
  .wrapper #page-home .extra {
    display: none;
  }
  .wrapper #page-singleasset {
    padding-top: 10px !important;
  }
  .wrapper #page-portfolio {
    padding: 25px 0 !important;
  }
  .wrapper #page-portfolio .portfolio-table {
    width: 100% !important;
    padding: 0 20px;
  }
  .wrapper #page-portfolio .portfolio-table td {
    padding: 0 !important;
  }
  .wrapper #page-portfolio .portfolio-table img {
    margin-right: 10px;
  }
  .wrapper #page-account {
    padding: 10px !important;
  }
  .wrapper #page-account header {
    flex-direction: column;
  }
  .wrapper #page-account header .currencydropdown {
    margin-top: 25px;
  }
  .wrapper #page-account .login p {
    font-size: 1em !important;
  }
}
